Announcements

Having trouble seeing your Wrapped stories? To fix this, update the Spotify app to the latest version.

Find more info on our community FAQ.

Desktop (Linux)

Discuss Spotify for Linux

Start a topic

Forum Posts

Recent Linux client update changes

Hey! There has been an update to the Spotify Linux client signatures.Users may see errors linked to missing keys and failed signature verifications for Spotify when updating the system. If this happens to you, this can be fixed by manually adding the...

  • Spotify Star
  • Spotify Star
  • techiegeekgirl
  • Casual Listener
  • 39438 Views
  • 19 replies
  • 34 likes
  • 39438 Views
  • 19 replies
  • 34 likes

Solved!! [Troubleshooting] Linux Spotify

Having trouble with Spotify on your Desktop app? Here’s what to try first. Search the Community Someone might have asked your question on the Community before.So type your issue into the search box and have a look. Basic troubleshooting Go through th...

  • Community Legend
  • sleeksorrow
  • Roadie
  • 210056 Views
  • 151 replies
  • 32 likes
  • Linux
  • 210056 Views
  • 151 replies
  • 32 likes

Superuser Contribution Can not install per guidelines - libatomic1 and consequently gcc-5-base

I am attempting to install per official Spotify steps on their homepage. But, when I get to the apt-get install spotify-client, I get the error: spotify-client : Depends: libatomic1 but it is not going to be installed attempted to install libatomic1 ...

  • Casual Listener
  • I am attempting to install per official Spotify steps on their homepage. But, when I get to the apt-get install spotify-client, I get the error:    spotify-client : Depends: libatomic1 bu...
  • jackp311
  • Casual Listener
  • 1392 Views
  • 2 replies
  • 0 likes
  • 1392 Views
  • 2 replies
  • 0 likes

Queues clear on restarting Spotify

My system crashed earlier today for some reason. Of course I had to restart it. The problem was that I had added about 90+ songs to my Spotify Queue before that, and wasn't even half-through them. I lost the entire queue when I restarted my system an...

  • Visitor
  • My system crashed earlier today for some reason. Of course I had to restart it. The problem was that I had added about 90+ songs to my Spotify Queue before that, and wasn't even half-through them. I ...
  • avitenko
  • Casual Listener
  • 1190 Views
  • 9 replies
  • 5 likes
  • Linux
  • 1190 Views
  • 9 replies
  • 5 likes

Superuser Contribution Update Spotify on Linux Mint 18 - Can't be Authenticated?

I installed Spotify on Linux Mint 18 several weeks ago using the software manager. Today, I tried to update the client and I got the warning seen in the screenshot. I'm wary about ignoring these types of errors. What should I do?

  • Newbie
  • I installed Spotify on Linux Mint 18 several weeks ago using the software manager. Today, I tried to update the client and I got the warning seen in the screenshot.   I'm wary about ignoring t...
  • jooon
  • Spotify
  • 2563 Views
  • 1 replies
  • 0 likes
  • 2563 Views
  • 1 replies
  • 0 likes

Superuser Contribution Erro Install Ubuntu 16.04 LTS

I am receiving back this message when I try to install spotify on ubuntuExecuting: /tmp/tmp.V1ZhJypaWz/gpg.1.sh --keyserverhkp://keyserver.ubuntu.com:80--recv-keys0DF731E45CE24F27EEEB1450EFDC8610341D9410gpg: requisitando chave 341D9410 de servidor hk...

  • Newbie
  •     I am receiving back this message when I try to install spotify on ubuntu Executing: /tmp/tmp.V1ZhJypaWz/gpg.1.sh --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 0DF731E45C...
  • jooon
  • Spotify
  • 623 Views
  • 1 replies
  • 0 likes
  • 623 Views
  • 1 replies
  • 0 likes

Spotify Snap and Arch Linux

I just removed my flatpak install of spotify, installed snapd and through snapd I installed spotify == not working spotify which throws a coredump => me being a sad panda. snap run spotify(spotify:10421): Gtk-WARNING **: Unable to locate theme engine...

  • Newbie
  • I just removed my flatpak install of spotify, installed snapd and through snapd I installed spotify == not working  spotify which throws a coredump => me being a sad panda. 😄 snap run...
  • 2172 Views
  • 0 replies
  • 0 likes
  • arch linux
    Linux
    snap
  • 2172 Views
  • 0 replies
  • 0 likes

[LINUX] Minimizing to task bar or tray

Hi Spotify, I recently just updated my linux client on Linux Mint 17.3 and I can no longer minimize it to either the task bar or tray icon. The only way I can re-open spotify is if I open my workspace area which lists which things I have active. Also...

  • Casual Listener
  • Hi Spotify,   I recently just updated my linux client on Linux Mint 17.3 and I can no longer minimize it to either the task bar or tray icon. The only way I can re-open spotify is if I open my...
  • cthart
  • Regular
  • 17560 Views
  • 3 replies
  • 15 likes
  • Linux
  • 17560 Views
  • 3 replies
  • 15 likes

Solved!! Unable to install on ubuntu 15.04 for hash sum mismatch

Hi, I just installed ubuntu 15.04, was following https://www.spotify.com/us/download/previews/ and after adding the key and the repo to sources.list apt-get says: W: Failed to fetch http://repository.spotify.com/dists/stable/non-free/binary-amd64/Pac...

  • Casual Listener
  • Hi,   I just installed ubuntu 15.04, was following https://www.spotify.com/us/download/previews/ and after adding the key and the repo to sources.list apt-get says:   W: Failed to ...
  • ibmc
  • Newbie
  • 7556 Views
  • 26 replies
  • 1 likes
  • Linux
  • 7556 Views
  • 26 replies
  • 1 likes

Solved!!Superuser Contribution spotify-client on Linux, update to libssl1.1

Hi, Is it possible to update the dependency of spotify-client linux to libssl1.1: https://packages.debian.org/stretch/libssl1.1 Also, libavcodec57 and libavformat57 Thanks, Thanks

  • Casual Listener
  • Hi,   Is it possible to update the dependency of spotify-client linux to libssl1.1: https://packages.debian.org/stretch/libssl1.1   Also, libavcodec57 and libavformat57 😉   Th...
  • avdyk
  • Casual Listener
  • 3253 Views
  • 5 replies
  • 4 likes
  • 3253 Views
  • 5 replies
  • 4 likes

Superuser Contribution libssl1.0.0 issue

When are you gonna remove the dependency to old libs like libssl1.0.0? cannot install the client because of this: $ sudo aptitude install spotify-client [sudo] password for phobos_: The following NEW packages will be installed: libjavascriptcoregtk-4...

  • Casual Listener
  • When are you gonna remove the dependency to old libs like libssl1.0.0?   cannot install the client because of this:   $ sudo aptitude install spotify-client [sudo] password for pho...
  • jooon
  • Spotify
  • 1439 Views
  • 3 replies
  • 1 likes
  • Linux
  • 1439 Views
  • 3 replies
  • 1 likes

Superuser Contribution Spotify Linux built against insecure/unsupported openssl/libssl 1.0.0??

Why is the latest Spotify client for Linux built against an usupported, vulnerable version of openssl?? Whomever is responsible for maintaining the .deb package could you please switch to building it against a non-discontinued/patched version of open...

  • Casual Listener
  • Why is the latest Spotify client for Linux built against an usupported, vulnerable version of openssl?? Whomever is responsible for maintaining the .deb package could you please switch to building it...
  • jooon
  • Spotify
  • 1868 Views
  • 7 replies
  • 12 likes
  • Linux
  • 1868 Views
  • 7 replies
  • 12 likes

Superuser Contribution Debian 9, higher versions dependencies

Sorry for my English…Debian 9 Stretch now has higher dependencies than Spotify needs. Version libssl1.0.2 is installed, Spotify wants version libssl1.0.0. Libavcodec57 is installed, but libavcodec54 is still required. Additional dependencies were not...

  • Casual Listener
  • Sorry for my English… Debian 9 Stretch now has higher dependencies than Spotify needs. Version libssl1.0.2 is installed, Spotify wants version libssl1.0.0. Libavcodec57 is installed, but lib...
  • jooon
  • Spotify
  • 6340 Views
  • 12 replies
  • 4 likes
  • Linux
  • 6340 Views
  • 12 replies
  • 4 likes

Solved!!Superuser Contribution spotify linux dependencies

spotify stopped working for me on linux (debian testing) a few weeks ago after an `apt-get upgrade` or an `apt-get autoclean`. today i started it from the command line and received this error: spotify: error while loading shared libraries: libssl.so....

  • Casual Listener
  • spotify stopped working for me on linux (debian testing) a few weeks ago after an `apt-get upgrade` or an `apt-get autoclean`. today i started it from the command line and received this error: &nbsp...
  • jooon
  • Spotify
  • 10589 Views
  • 11 replies
  • 1 likes
  • Linux
  • 10589 Views
  • 11 replies
  • 1 likes

Superuser Contribution Properly state all packages Spotify depends on in .deb package (Linux)

The debian package does not state all the packages Spotify depends on. In the 0.9.x series, this caused the problem with libgcrypt11. Recently I faced a similay problem with libssl1.0.0 in Debian Stretch (testing); libssl1.0.0 was replaced by libssl1...

  • Regular
  • The debian package does not state all the packages Spotify depends on.   In the 0.9.x series, this caused the problem with libgcrypt11.  Recently I faced a similay problem with libssl1.0....
  • jooon
  • Spotify
  • 1455 Views
  • 5 replies
  • 3 likes
  • Linux
  • 1455 Views
  • 5 replies
  • 3 likes

Restore window size issues (on maximized windows)

Every time I launch the Spotify app the play buttun is not visible. Apparently Linux Spotify app don't save and restore maximized state (it only saves position and size in ~/.config/spotify/prefs). The problem is that some window managers / desktops ...

  • Newbie
  • Every time I launch the Spotify app the play buttun is not visible.   Apparently Linux Spotify app don't save and restore maximized state (it only saves position and size in ~/.config/spo...
  • 540 Views
  • 0 replies
  • 0 likes
  • Linux
  • 540 Views
  • 0 replies
  • 0 likes

Solved!!Superuser Contribution Cyrillic artists transliterated in desktop apps

For some reason artists with cyrillic names/titles are transliterated in desktop apps (checked on Linux and Windows) while they are displayed correctly in android app. Can this please be fixed? last.fm scrobbles become real mess with all this.

  • Casual Listener
  • For some reason artists with cyrillic names/titles are transliterated in desktop apps (checked on Linux and Windows) while they are displayed correctly in android app. Can this please be fixed? last....
  • phat1984
  • Casual Listener
  • 1590 Views
  • 3 replies
  • 4 likes
  • Linux
    Windows
  • 1590 Views
  • 3 replies
  • 4 likes

I cannot play one specific song from Zaz

Hi, recently one of the songs from Zaz became unavailable for me to play. When I open a playlist that I created the song "Je veux" from Zaz is greyed out (see attached screenshot ) and I cannot play it. This happens on my laptop (Linux + Chrome + ope...

  • Casual Listener
  • Hi,   recently one of the songs from Zaz became unavailable for me to play. When I open a playlist that I created the song "Je veux" from Zaz is greyed out (see attached screenshot ) and I can...
  • jsannn
  • Community Legend
  • 494 Views
  • 1 replies
  • 1 likes
  • 494 Views
  • 1 replies
  • 1 likes

Solved!!Superuser Contribution Spotify Kali Linux not working

When i try to install the client it informs me that my libssl require 1.0.0 and i believe i have a newer version. When i run sudo apt-get install spotify-clientit gives me this:Reading package lists... DoneBuilding dependency tree Reading state infor...

  • Newbie
  • When i try to install the client it informs me that my libssl require 1.0.0 and i believe i have a newer version. When i run sudo apt-get install spotify-client it gives me this: Reading package li...
  • xelarmen
  • Newbie
  • 42345 Views
  • 13 replies
  • 3 likes
  • 42345 Views
  • 13 replies
  • 3 likes

Solved!!Superuser Contribution Type 'sudo' is not known on line 1 in source list /etc/apt/sources.list.d/spotify.list

I tried to install Spotify and I now have this error message. I am running Ubuntu 16.04. Please help me get rid of it. E: Type 'sudo' is not known on line 1 in source list /etc/apt/sources.list.d/spotify.listE: The list of sources could not be read.

  • Newbie
  • I tried to install Spotify and I now have this error message. I am running Ubuntu 16.04. Please help me get rid of it.   E: Type 'sudo' is not known on line 1 in source list /etc/apt/sources.l...
  • 1SO
  • Newbie
  • 30396 Views
  • 2 replies
  • 0 likes
  • 30396 Views
  • 2 replies
  • 0 likes

Solved!! [Linux] Local files do not play on Ubuntu 16.04 [SOLVED]

Hi, I have installed ubuntu-restricted-extras, ffmpeg, libavcodec, livavutil, libavformat, zenity but doesn't work. Your device and operating system: Intel® Core™ i3 CPU M 330 @ 2.13GHz × 4, 4GB, 64bit, Ubuntu 16.04 LTSType of Spotify account you hav...

  • Regular
  • Hi, I have installed ubuntu-restricted-extras, ffmpeg, libavcodec, livavutil, libavformat, zenity but doesn't work.   😕   Your device and operating system: Intel® Core™ i3 CPU M 330...
  • mrghlover
  • Newbie
  • 34600 Views
  • 36 replies
  • 48 likes
  • Linux
  • 34600 Views
  • 36 replies
  • 48 likes

Thanks for the Linux Version!

Linux is rarely a priority (not that it is at Spotify) but a serious thanks for including a version of the desktop application for Linux users. Using kubuntu 16.04 I had no issues installing, and everything seems to be working, including the setting ...

  • Newbie
  • Linux is rarely a priority (not that it is at Spotify) but a serious thanks for including a version of the desktop application for Linux users. Using kubuntu 16.04 I had no issues installing, and eve...
  • freedumb2000
  • Newbie
  • 765 Views
  • 2 replies
  • 2 likes
  • Linux
  • 765 Views
  • 2 replies
  • 2 likes